メインコンテンツへスキップ
POST
/
2
/
webhooks
/
replay
Webhook 用リプレイジョブを作成
curl --request POST \
  --url https://api.x.com/2/webhooks/replay \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_date": "202504242000",
  "to_date": "202504242000",
  "webhook_id": "1146654567674912769"
}
'
{
  "created_at": "2025-04-24T20:57:15.242Z",
  "job_id": "1915510368169844736"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

application/json
from_date
string
必須

イベントが提供される期間の最も古い(開始)UTC タイムスタンプ(両端含む)。形式は yyyymmddhhmm。

Pattern: ^[0-9]{12}$
:

"202504242000"

to_date
string
必須

イベントが提供される期間の最も古い(開始)UTC タイムスタンプ(両端含む)。形式は yyyymmddhhmm。

Pattern: ^[0-9]{12}$
:

"202504242000"

webhook_id
string
必須

この Webhook 構成の一意の識別子。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

レスポンス

リクエストは成功しました。

リプレイジョブリクエストが受理されたことの確認。

created_at
string<date-time>
必須

リプレイジョブが作成された日時を示す UTC タイムスタンプです。

:

"2025-04-24T20:57:15.242Z"

job_id
string
必須

このリプレイジョブの一意の識別子です。

:

"1915510368169844736"